QGIS Crashes when viewing a composer IF one of the layers has diagrams turned on 

2015-08-03 06:49 AM - Illya Santos

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 21239

Description

QGIS version - 2.10.1 32-bit installed via OSgeo4W express installer.

Windows Version - 7 Professional SP1.

minidump crash when I attempt to open a composer window that displays layers with diagrams turned on (pie chart in this case). Layers

holding geom and some information are from a postgis database. The attributes with the data for diagrams are from a csv which has been

joined to the postgis layer.

I have attached the minidump file.

Associated revisions

Revision 2b8b9427 - 2015-08-05 07:00 AM - Nyall Dawson

Fix crash when map contains diagrams on joined layers (refs #13177)

History

#1 - 2015-08-03 04:10 PM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce this. Is it just one particular layer which it crashes on? What if you try diagrams on a different layer? Also, do you see the crash if using

labels on the layer rather than diagrams?

#2 - 2015-08-04 12:36 AM - Illya Santos

Nyall Dawson wrote:

I can't reproduce this. Is it just one particular layer which it crashes on? What if you try diagrams on a different layer? Also, do you see the crash if

using labels on the layer rather than diagrams?

Seems to crash on any layer with diagrams enabled where the data is joined from an imported csv, turning labels off makes no difference.

#3 - 2015-08-04 05:24 PM - Nyall Dawson
Are you sure this is in 2.10 and not master? I can reproduce with master, but not 2.10

#4 - 2015-08-06 01:58 AM - Illya Santos

Yes, 2.10 was used to originally create the project. There is a chance I opened it in master and saved at some point, but I do not believe this to be the

case.

#5 - 2015-08-06 03:25 PM - Nyall Dawson

Can you please share your data/project which demonstrates this issue?

#6 - 2015-10-05 02:53 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Closed

Closed due to lack of feedback - please reopen if reproducible on current master
